Retrieve the status of the subscription from the merchant
curl --request GET \
--url https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/statusimport requests
url = "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"status": "<string>",
"partnerCustomerId": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"metadata": {}
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "partner-subscription-not-found",
"message": "partner subscription not found"
}{
"code": "server-error",
"message": "<string>"
}Retrieve the status of the subscription from the merchant
GET
/
v1
/
partnerSubscription
/
{id}
/
partner
/
status
Retrieve the status of the subscription from the merchant
curl --request GET \
--url https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/statusimport requests
url = "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/partnerSubscription/{id}/partner/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"partnerSubscriptionId": "<string>",
"status": "<string>",
"partnerCustomerId": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"metadata": {}
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "partner-subscription-not-found",
"message": "partner subscription not found"
}{
"code": "server-error",
"message": "<string>"
}Path Parameters
The unique partner subscription id of the subscription in MarketONE.
Maximum string length:
128Response
OK - Partner Status successfully retrieved
The information of the subscription on partner side.
MarketONE partner service provisioning record identifier.
Maximum string length:
256Status of subscription at the partner side
Maximum string length:
50MarketONE unique customer identifier per partner.
Maximum string length:
256The partner code as set by the partner admin in MarketONE.
Maximum string length:
15The product code defined by the partner identified by partner code.
Maximum string length:
128A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Was this page helpful?

